Skip to main content
GET
Get SSL certificate details

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

ssl_id
integer
required

SSL certificate ID.

Response

200 - application/json

Successful.

id
integer

SSL certificate ID.

Example:

42

deleted
boolean

Defines whether the certificate has been deleted. Parameter is deprecated.

Possible values:

  • true - Certificate has been deleted.
  • false - Certificate has not been deleted.
Example:

false

cert_issuer
string

Name of the certification center issued the SSL certificate.

Example:

"Some certification center"

cert_subject_cn
string

Domain name that the SSL certificate secures.

Example:

"mydomain.name"

cert_subject_alt
string

Alternative domain names that the SSL certificate secures.

validity_not_before
string

Date when certificate become valid (ISO 8601/RFC 3339 format, UTC.)

Example:

"2016-09-17T18:06:01Z"

validity_not_after
string

Date when certificate become untrusted (ISO 8601/RFC 3339 format, UTC.)

Example:

"2017-08-21T11:02:00Z"

sslCertificateChain
string

Parameter is deprecated.

Defines whether the SSL certificate is used by a CDN resource.

Possible values:

  • true - Certificate is used by a CDN resource.
  • false - Certificate is not used by a CDN resource.
Example:

true

name
string

SSL certificate name.

Example:

"Some certificate"

automated
boolean

How the SSL certificate was issued.

Possible values:

  • true - Certificate was issued automatically.
  • false - Certificate was added by a use.
Example:

false